# Payment API
source: https://developer.mastercard.com/cross-border-services/documentation/api-ref/transaction-apis/payment-api/index.md

Alert: If you are a Customer contracted with MTS EU or MTS UK, refer to the corresponding EU and UK specification inside the swagger file to ensure compliance with the relevant jurisdiction based on Regulatory Technical Standards (either EU or UK) derived from the Revised Payment Services Directive (PSD2).

You can use this API to submit a payment transaction to transfer fund to a cross-border recipient.
If you opt-in for quote confirmation services, remember to confirm the quote before initiating the payment request.

Look at the [Payment](https://developer.mastercard.com/cross-border-services/documentation/use-cases/index.md) use cases for details on how to use the payment API for a cross border fund transfer solution.

## Environment Domains {#environment-domains}

* Sandbox/MTF
* Sandbox-EU
* Sandbox-UK
* MTF-EU
* MTF-UK
* Production
* Production-EU
* Production-UK

```Sandbox/MTF
https://sandbox.api.mastercard.com/send/v1/partners/{partner-id}/crossborder/payment
```

```Sandbox-EU
https://sandbox.api.xbs.mastercard.eu/send/v1/partners/{partner-id}/crossborder/payment
```

```Sandbox-UK
https://sandbox.api.xbs.mastercard.uk/send/v1/partners/{partner-id}/crossborder/payment
```

```MTF-EU
https://mtf.api.xbs.mastercard.eu/send/v1/partners/{partner-id}/crossborder/payment
```

```MTF-UK
https://mtf.api.xbs.mastercard.uk/send/v1/partners/{partner-id}/crossborder/payment
```

```Production
https://api.mastercard.com/send/v1/partners/{partner-id}/crossborder/payment
```

```Production-EU
https://api.xbs.mastercard.eu/send/v1/partners/{partner-id}/crossborder/payment
```

```Production-UK
https://api.xbs.mastercard.uk/send/v1/partners/{partner-id}/crossborder/payment
```

Note: **Sandbox** and **MTF** environments share the same url but are differentiated by partner id.

## API {#api}

[**Open Specification**](https://static.developer.mastercard.com/content/cross-border-services/swagger/cross_border-swagger.yaml)

Alternatively, here is a tabular view of the request/ response parameter:
[Payment_Specifications.pdf](https://static.developer.mastercard.com/content/cross-border-services/uploads/Payment_Specifications.pdf) (1MB)   


API Reference: `GET /send/v1/partners/{partner-id}/crossborder/payment`

Note: In order to provide ease of processing and to avoid any potential keying errors, when a Quote is utilized and the Quote Proposal ID information is provided for payment initiation, the quote transaction details (sending/receiving accounts, amounts, currencies, etc.) are used to fill the payment request.

* **Formats supported** : XML/ JSON   
* **HTTP Version**: 1.0/ 1.1
* **Required HTTP header parameters** :   
  content-type : Format of the inbound content being submitted. example: application/json   
  content-length: Length of the inbound content body in octets.   
  Accept: Format of the expected response must be provided in this header field. Example - application/json

## API Convention {#api-convention}

Take a look at the [API Conventions](https://developer.mastercard.com/cross-border-services/documentation/api-basics/index.md#api-conventions) for general guidelines.

## Payload Encryption {#payload-encryption}

All the request payload sent by you to Mastercard must be encrypted. And you will need to decrypt the payload sent by Mastercard.   

For more detailed information on payload **Encryption/ Decryption** , please see [here](https://developer.mastercard.com/cross-border-services/documentation/api-basics/index.md#transport-encryption)

## Next step {#next-step}

Proceed to [Payment API: Sandbox Testing](https://developer.mastercard.com/cross-border-services/documentation/testing/payment-api/index.md) to test the Payment API in the Sandbox environment.
